model:
  name: seq_multitask
  kwargs:
    filters: 21
    conv1_kernel_size: 21
    tconv_kernel_size: 25
    n_dil_layers: 6
    lr: 0.004
    c_task_weight: 10
data:
  peak_width: 200
  shuffle: true
  valid_chr:
  - chr2
  - chr3
  - chr4
  test_chr:
  - chr1
  - chr8
  - chr9
train:
  early_stop_patience: 5
  epochs: 200
  batch_size: 256
  balance_peak_classes: true
evaluate:
  pos_min_threshold: 0.05
  neg_max_threshold: 0.01
  required_min_pos_counts: 2.5
  binsizes:
  - 1
  - 10
modisco:
  sliding_window_size: 21
  flank_size: 10
  histogram_bins: 100
  percentiles_in_bandwidth: 10.0
  overlap_portion: 0.5
  min_cluster_size: 50
  threshold_for_counting_sign: 1.0
  weak_threshold_for_counting_sign: 0.7
  max_strand_distance: 0.2
path: hparams.yaml
